MyGUI: MyGUI::RenderItem Class Reference

MyGUI 3.2.2

Public Member Functions
MyGUI::RenderItem Class Reference

`#include <MyGUI_RenderItem.h>`

## Public Member Functions
| RenderItem ()
virtual | ~RenderItem ()
void | renderToTarget (IRenderTarget *_target, bool _update)
void | setTexture (ITexture *_value)
ITexture * | getTexture ()
void | setManualRender (bool _value)
bool | getManualRender () const
void | addDrawItem (ISubWidget *_item, size_t _count)
void | removeDrawItem (ISubWidget *_item)
void | reallockDrawItem (ISubWidget *_item, size_t _count)
void | outOfDate ()
bool | isOutOfDate () const
size_t | getNeedVertexCount () const
size_t | getVertexCount () const
bool | getCurrentUpdate () const
Vertex * | getCurrentVertexBuffer () const
void | setLastVertexCount (size_t _count)
IRenderTarget * | getRenderTarget ()
void | setNeedCompression (bool _compression)
bool | getNeedCompression () const

## Detailed Description

Definition at line 22 of file MyGUI_RenderItem.h.

## Constructor & Destructor Documentation

## ◆ RenderItem()

MyGUI::RenderItem::RenderItem | ( |  | ) |

Definition at line 19 of file MyGUI_RenderItem.cpp.

## ◆ ~RenderItem()

MyGUI::RenderItem::~RenderItem | ( |  | ) |
| virtual

Definition at line 35 of file MyGUI_RenderItem.cpp.

## Member Function Documentation

## ◆ addDrawItem()

void MyGUI::RenderItem::addDrawItem | ( | ISubWidget * | _item,
|  | size_t | _count
| ) |  |

Definition at line 125 of file MyGUI_RenderItem.cpp.

## ◆ getCurrentUpdate()

bool MyGUI::RenderItem::getCurrentUpdate | ( |  | ) | const

Definition at line 225 of file MyGUI_RenderItem.cpp.

## ◆ getCurrentVertexBuffer()

Vertex * MyGUI::RenderItem::getCurrentVertexBuffer | ( |  | ) | const

Definition at line 230 of file MyGUI_RenderItem.cpp.

## ◆ getManualRender()

bool MyGUI::RenderItem::getManualRender | ( |  | ) | const

Definition at line 200 of file MyGUI_RenderItem.cpp.

## ◆ getNeedCompression()

bool MyGUI::RenderItem::getNeedCompression | ( |  | ) | const

Definition at line 190 of file MyGUI_RenderItem.cpp.

## ◆ getNeedVertexCount()

size_t MyGUI::RenderItem::getNeedVertexCount | ( |  | ) | const

Definition at line 215 of file MyGUI_RenderItem.cpp.

## ◆ getRenderTarget()

IRenderTarget * MyGUI::RenderItem::getRenderTarget | ( |  | ) |

Definition at line 240 of file MyGUI_RenderItem.cpp.

## ◆ getTexture()

ITexture * MyGUI::RenderItem::getTexture | ( |  | ) |

Definition at line 180 of file MyGUI_RenderItem.cpp.

## ◆ getVertexCount()

size_t MyGUI::RenderItem::getVertexCount | ( |  | ) | const

Definition at line 220 of file MyGUI_RenderItem.cpp.

## ◆ isOutOfDate()

bool MyGUI::RenderItem::isOutOfDate | ( |  | ) | const

Definition at line 210 of file MyGUI_RenderItem.cpp.

## ◆ outOfDate()

void MyGUI::RenderItem::outOfDate | ( |  | ) |

Definition at line 205 of file MyGUI_RenderItem.cpp.

## ◆ reallockDrawItem()

void MyGUI::RenderItem::reallockDrawItem | ( | ISubWidget * | _item,
|  | size_t | _count
| ) |  |

Definition at line 143 of file MyGUI_RenderItem.cpp.

## ◆ removeDrawItem()

void MyGUI::RenderItem::removeDrawItem | ( | ISubWidget * | _item | ) |

Definition at line 100 of file MyGUI_RenderItem.cpp.

## ◆ renderToTarget()

void MyGUI::RenderItem::renderToTarget | ( | IRenderTarget * | _target,
|  | bool | _update
| ) |  |

Definition at line 41 of file MyGUI_RenderItem.cpp.

## ◆ setLastVertexCount()

void MyGUI::RenderItem::setLastVertexCount | ( | size_t | _count | ) |

Definition at line 235 of file MyGUI_RenderItem.cpp.

## ◆ setManualRender()

void MyGUI::RenderItem::setManualRender | ( | bool | _value | ) |

Definition at line 195 of file MyGUI_RenderItem.cpp.

## ◆ setNeedCompression()

void MyGUI::RenderItem::setNeedCompression | ( | bool | _compression | ) |

Definition at line 185 of file MyGUI_RenderItem.cpp.

## ◆ setTexture()

void MyGUI::RenderItem::setTexture | ( | ITexture * | _value | ) |

Definition at line 165 of file MyGUI_RenderItem.cpp.

The documentation for this class was generated from the following files:

- MyGUI_RenderItem.h
- MyGUI_RenderItem.cpp